Compatibility of 3.8.22 with OS X 10.11

We have a family license for 3.8.22. My wife just got a new MacBook, running 10.11.2. I'm still on an old MacBook running 10.6.8.
We're very willing to upgrade to the latest version...so this may be a dumb question, but is this necessary? We're having a problem putting in new data to 3.8.22 on the new machine, as in text being invisible!
And from what I've read elsewhere, if we want to sync using iCloud, we should download the version from the App Store.


1Password Version: Not Provided
Extension Version: Not Provided
OS Version: Not Provided
Sync Type: Not Provided
Referrer: kb:upgrade-license, kb-search:el capitan

Comments

  • @Charles_Kuttner I rather suspect that after reading this sticky at the top of the 1Password 3 legacy forum you'll probably feel it's appropriate to upgrade—at least on your wife's machine. However, the problem is a little bit more tricky because of the old OS X on your machine. 1P4 requires a minimum of OS X Yosemite. I'm not at all sure there's any way you can sync 1P data between 1P3 and newer versions—so you may have a difficult choice unless you can upgrade your OS.

    Stephen

  • Thus the conundrum...my old MacBook can't run Yosemite. But as long as we can sync our iphones to 1P, I presume both versions can share a file on iCloud or DropBox. Or not?? Ideas, anyone?

  • khadkhad Social Choreographer

    Team Member

    @Charles_Kuttner,

    You can sync your data with Dropbox everywhere. Once you set it up on one Mac, just open that same file on the other Macs. :)

    Let me know if you are having some trouble syncing with Dropbox. The more details you can provide— the steps you are taking, and what you are [not] seeing happen — the better. With some additional information from you we can then provide you with specific assistance.

    Cheers!

  • Any update on a fix for this? 1Password is a great application that I depend on in my browser, but I still have to occasionally go into the application itself to fix things or grab a password/secure note/wallet item/etc. This bug is causing heartache when I have to use the application itself.

  • Hello @cgreco16,

    If you're referring to 1Password 3 for Mac in OS X 10.11 AKA El Capitan then there will be no fix. 1Password 3 for Mac is a legacy version and pragmatics mean we're not in a position to maintain multiple versions of 1Password on a given platform. We're now up to version 6 of 1Password for Mac which is compatible with El Capitan. If you purchased 1Password for Mac at any point in 2013 or later then you already have a licence to run 1Password 6 for Mac. If you purchased prior to this point then it would mean purchasing a new licence I'm afraid. We discuss the issues and possible solutions in the thread, 1Password 3: Modern browsers and OS X. Obviously we'd love it if everybody upgraded because they loved what we've been working on rather than feeling compelled to due to operating system updates but this is sadly where we're at. 1Password 3 for Mac is still available to everybody if they're running a version of OS X that can't support anything newer but it won't be receiving another update I'm afraid.

    You may well have questions so please do ask if you do.

This discussion has been closed.